Bug 178895 - two vixie-crons installed
two vixie-crons installed
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-01-25 05:26 EST by Need Real Name
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-12 07:55:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-01-25 05:26:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Epiphany/1.6.5

Description of problem:
A fresh install of FC5T2, then yum update, yum upgrade gives me two vixie-crons:

$ rpm -q vixie-cron

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:

Additional info:
Comment 1 Jason Vas Dias 2006-01-25 09:56:33 EST
Nothing has changed in the vixie-cron .spec file that could cause this.

When yum cannot complete its Update transaction for some reason, it may not
do its "Cleanup" transaction, so duplicates of many packages can remain -
this has happened for me many times. When it does, I manually find all the
duplicate packages and then 'rpm -Uvh --force' the duplicates to the newer

I think if this occurs, yum should at least save a "cleanup" script that 
users can run, or should automatically retry a previously failed cleanup
phase on the next run - leaving duplicate instances of packages around is
not a good idea.
Comment 2 Need Real Name 2006-02-12 07:55:58 EST
Thanks! Filed RFE bug 181055.

Note You need to log in before you can comment on or make changes to this bug.